## prt 0.1.0

=== DESCRIPTION ===
Package: prt
Title: Tabular Data Backed by Partitioned 'fst' Files
Version: 0.1.0
Authors@R: c(person(given = "Nicolas",
                    family = "Bennett",
                    role = c("aut", "cre"),
                    email = "nicolas.bennett@stat.math.ethz.ch"),
             person(given = "Drago",
                    family = "Plecko",
                    role = "ctb",
                    email = "drago.plecko@stat.math.ethz.ch"))
Description: Intended for larger-than-memory tabular data, 'prt' objects provide an interface to read row and/or column subsets into memory as data.table objects. Data queries, constructed as 'R' expressions, are evaluated using the non-standard evaluation framework provided by 'rlang' and file-backing is powered by the fast and efficient 'fst' package.
URL: https://nbenn.github.io/prt/
BugReports: https://github.com/nbenn/prt/issues
License: GPL-3
Imports: assertthat, fst, data.table, utils, vctrs, tibble, cli,
        pillar, crayon, fansi, backports, rlang, knitr
Suggests: testthat, xml2, covr, withr, nycflights13, datasets,
        rmarkdown, bench
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-08-11 14:42:03 UTC; nbennett
Author: Nicolas Bennett [aut, cre],
  Drago Plecko [ctb]
Maintainer: Nicolas Bennett <nicolas.bennett@stat.math.ethz.ch>
Repository: CRAN
Date/Publication: 2020-08-18 09:40:06 UTC

## prt 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: prt
 Title: Tabular Data Backed by Partitioned 'fst' Files
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: c(person(given = "Nicolas",
                     family = "Bennett",
                     role = c("aut", "cre"),
@@ -22,9 +22,9 @@
 RoxygenNote: 7.1.0
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-08-11 14:42:03 UTC; nbennett
+Packaged: 2020-09-02 19:31:44 UTC; nbennett
 Author: Nicolas Bennett [aut, cre],
   Drago Plecko [ctb]
 Maintainer: Nicolas Bennett <nicolas.bennett@stat.math.ethz.ch>
 Repository: CRAN
-Date/Publication: 2020-08-18 09:40:06 UTC
+Date/Publication: 2020-09-02 19:50:03 UTC

## prt 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: prt
 Title: Tabular Data Backed by Partitioned 'fst' Files
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: c(person(given = "Nicolas",
                     family = "Bennett",
                     role = c("aut", "cre"),
@@ -19,12 +19,12 @@
         rmarkdown, bench
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-09-02 19:31:44 UTC; nbennett
+Packaged: 2020-09-29 13:14:28 UTC; nbennett
 Author: Nicolas Bennett [aut, cre],
   Drago Plecko [ctb]
 Maintainer: Nicolas Bennett <nicolas.bennett@stat.math.ethz.ch>
 Repository: CRAN
-Date/Publication: 2020-09-02 19:50:03 UTC
+Date/Publication: 2020-09-29 13:40:02 UTC

## prt 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: prt
 Title: Tabular Data Backed by Partitioned 'fst' Files
-Version: 0.1.2
+Version: 0.1.3
 Authors@R: c(person(given = "Nicolas",
                     family = "Bennett",
                     role = c("aut", "cre"),
@@ -22,9 +22,9 @@
 RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-09-29 13:14:28 UTC; nbennett
+Packaged: 2021-02-23 20:59:49 UTC; nbennett
 Author: Nicolas Bennett [aut, cre],
   Drago Plecko [ctb]
 Maintainer: Nicolas Bennett <nicolas.bennett@stat.math.ethz.ch>
 Repository: CRAN
-Date/Publication: 2020-09-29 13:40:02 UTC
+Date/Publication: 2021-02-23 21:30:02 UTC

## prt 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: prt
 Title: Tabular Data Backed by Partitioned 'fst' Files
-Version: 0.1.3
+Version: 0.1.4
 Authors@R: c(person(given = "Nicolas",
                     family = "Bennett",
                     role = c("aut", "cre"),
@@ -14,17 +14,16 @@
 BugReports: https://github.com/nbenn/prt/issues
 License: GPL-3
 Imports: assertthat, fst, data.table, utils, vctrs, tibble, cli,
-        pillar, crayon, fansi, backports, rlang, knitr
+        pillar, crayon, fansi, backports, rlang,
 Suggests: testthat, xml2, covr, withr, nycflights13, datasets,
-        rmarkdown, bench
+        rmarkdown, knitr, bench
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-02-23 20:59:49 UTC; nbennett
+Packaged: 2021-05-16 07:24:22 UTC; nbennett
 Author: Nicolas Bennett [aut, cre],
   Drago Plecko [ctb]
 Maintainer: Nicolas Bennett <nicolas.bennett@stat.math.ethz.ch>
 Repository: CRAN
-Date/Publication: 2021-02-23 21:30:02 UTC
+Date/Publication: 2021-05-16 08:00:06 UTC

## prt 0.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: prt
 Title: Tabular Data Backed by Partitioned 'fst' Files
-Version: 0.1.4
+Version: 0.1.5
 Authors@R: c(person(given = "Nicolas",
                     family = "Bennett",
                     role = c("aut", "cre"),
-                    email = "nicolas.bennett@stat.math.ethz.ch"),
+                    email = "r@nbenn.ch"),
              person(given = "Drago",
                     family = "Plecko",
                     role = "ctb",
@@ -18,12 +18,12 @@
 Suggests: testthat, xml2, covr, withr, nycflights13, datasets,
         rmarkdown, knitr, bench
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.0
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-05-16 07:24:22 UTC; nbennett
+Packaged: 2022-07-11 07:46:53 UTC; nbennett
 Author: Nicolas Bennett [aut, cre],
   Drago Plecko [ctb]
-Maintainer: Nicolas Bennett <nicolas.bennett@stat.math.ethz.ch>
+Maintainer: Nicolas Bennett <r@nbenn.ch>
 Repository: CRAN
-Date/Publication: 2021-05-16 08:00:06 UTC
+Date/Publication: 2022-07-18 09:40:02 UTC

## prt 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: prt
 Title: Tabular Data Backed by Partitioned 'fst' Files
-Version: 0.1.5
+Version: 0.2.0
 Authors@R: c(person(given = "Nicolas",
                     family = "Bennett",
                     role = c("aut", "cre"),
@@ -13,17 +13,17 @@
 URL: https://nbenn.github.io/prt/
 BugReports: https://github.com/nbenn/prt/issues
 License: GPL-3
-Imports: assertthat, fst, data.table, utils, vctrs, tibble, cli,
-        pillar, crayon, fansi, backports, rlang,
+Imports: assertthat, fst, data.table, utils, vctrs, tibble, cli, pillar
+        (>= 1.7.0), crayon, backports, rlang,
 Suggests: testthat, xml2, covr, withr, nycflights13, datasets,
         rmarkdown, knitr, bench
 Encoding: UTF-8
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2022-07-11 07:46:53 UTC; nbennett
+Packaged: 2023-04-08 16:58:53 UTC; nbennett
 Author: Nicolas Bennett [aut, cre],
   Drago Plecko [ctb]
 Maintainer: Nicolas Bennett <r@nbenn.ch>
 Repository: CRAN
-Date/Publication: 2022-07-18 09:40:02 UTC
+Date/Publication: 2023-04-09 16:00:02 UTC

## prt 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: prt
 Title: Tabular Data Backed by Partitioned 'fst' Files
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: c(person(given = "Nicolas",
                     family = "Bennett",
                     role = c("aut", "cre"),
@@ -18,12 +18,12 @@
 Suggests: testthat, xml2, covr, withr, nycflights13, datasets,
         rmarkdown, knitr, bench
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2023-04-08 16:58:53 UTC; nbennett
+Packaged: 2025-09-03 20:23:08 UTC; nbennett
 Author: Nicolas Bennett [aut, cre],
   Drago Plecko [ctb]
 Maintainer: Nicolas Bennett <r@nbenn.ch>
 Repository: CRAN
-Date/Publication: 2023-04-09 16:00:02 UTC
+Date/Publication: 2025-09-03 21:50:16 UTC

## prt 0.19

=== debian/changelog ===
prt (0.19-2) unstable; urgency=medium

  * debian/control:
    - Build-Depends on libmodule-build-perl. (Closes: #789641)
    - Add Vcs-* field.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 23 Jun 2015 10:19:15 +0900

prt (0.19-1) unstable; urgency=medium

  * Initial Release. (Closes: #743021)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 22 Oct 2014 17:50:28 +0900

=== debian/control ===
Source: prt
Section: perl
Priority: optional
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Build-Depends: debhelper (>= 9),
 perl,
 git
Build-Depends-Indep: libclass-load-perl,
 libfile-copy-recursive-perl,
 libfile-find-rule-perl,
 libpath-class-perl,
 libppi-perl,
 libtest-class-perl,
 libtest-deep-perl,
 libtest-fatal-perl,
 libtest-mock-guard-perl,
 libmodule-build-perl
Standards-Version: 3.9.6
Homepage: https://metacpan.org/release/App-PRT
Vcs-Git: git://anonscm.debian.org/collab-maint/prt.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/prt.git

Package: prt
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libclass-load-perl,
 libfile-find-rule-perl,
 libpath-class-perl,
 libppi-perl,
 perl (>= 5.19.5)
Recommends: git
Description: Command line Perl Refactoring Tool
 App::PRT is command line tools for Refactoring Perl.

=== debian/watch ===
version=3
https://metacpan.org/release/App-PRT   .*/App-PRT-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## prt 0.20

=== debian/changelog ===
prt (0.20-1) unstable; urgency=medium

  * New upstream release.
  * New Standards-Version: 4.3.0
  * Move to salsa.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 05 Jan 2019 12:25:56 +0900

=== debian/control ===
Source: prt
Section: perl
Priority: optional
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Build-Depends: debhelper (>= 12), debhelper-compat (= 12),
 perl,
 git
Build-Depends-Indep: libclass-load-perl,
 libfile-copy-recursive-perl,
 libfile-find-rule-perl,
 libpath-class-perl,
 libppi-perl,
 libio-interactive-perl,
 libtest-class-perl,
 libtest-deep-perl,
 libtest-fatal-perl,
 libtest-mock-guard-perl,
 libmodule-build-perl
Standards-Version: 4.3.0
Homepage: https://metacpan.org/release/App-PRT
Vcs-Git: https://salsa.debian.org/debian/prt.git
Vcs-Browser: https://salsa.debian.org/debian/prt

Package: prt
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libclass-load-perl,
 libfile-find-rule-perl,
 libpath-class-perl,
 libppi-perl,
 libio-interactive-perl,
 perl (>= 5.19.5)
Recommends: git
Description: Command line Perl Refactoring Tool
 App::PRT is command line tools for Refactoring Perl.

## prt 0.22

=== debian/changelog ===
prt (0.22-1) unstable; urgency=medium

  * New upstream release.
  * New Standards-Version: 4.5.1
  * Move libmodule-build-perl from Build-Depends-Indep to Build-Depends.
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Skip dh_auto_test for now.
    - It fails in schroot (File::Temp behave differently?)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 03 Jan 2021 17:03:04 +0900

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,22 @@
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Build-Depends: debhelper (>= 12), debhelper-compat (= 12),
  perl,
- git
+ git,
+ libmodule-build-perl
 Build-Depends-Indep: libclass-load-perl,
  libfile-copy-recursive-perl,
  libfile-find-rule-perl,
  libpath-class-perl,
  libppi-perl,
  libio-interactive-perl,
+ libcapture-tiny-perl,
+ libfile-pushd-perl,
  libtest-class-perl,
  libtest-deep-perl,
  libtest-fatal-perl,
- libtest-mock-guard-perl,
- libmodule-build-perl
-Standards-Version: 4.3.0
+ libtest-perl-critic-perl,
+ libtest-mock-guard-perl
+Standards-Version: 4.5.1
 Homepage: https://metacpan.org/release/App-PRT
 Vcs-Git: https://salsa.debian.org/debian/prt.git
 Vcs-Browser: https://salsa.debian.org/debian/prt

=== debian/watch ===
version=4
https://metacpan.org/release/App-PRT   .*/App-PRT-v?(\d[\d.-]*)@ARCHIVE_EXT@ debian uupdate

## prt demo

=== Makefile ===
CC = g++
ifeq ($(shell sw_vers 2>/dev/null | grep Mac | awk '{ print $$2}'),Mac)
	CFLAGS = -g -DGL_GLEXT_PROTOTYPES -I./include/ -I/usr/X11/include -DOSX
	LDFLAGS = -framework GLUT -framework OpenGL -L./lib/mac/ \
    	-L"/System/Library/Frameworks/OpenGL.framework/Libraries" \
    	-lGL -lGLU -lm -lstdc++ -lGLEW -lfreeimage 
else
	CFLAGS = -g -std=c++11 -DGL_GLEXT_PROTOTYPES -I./include/ -I/usr/X11R6/include -I/sw/include \
					 -I/usr/sww/include -I/usr/sww/pkg/Mesa/include -w
	LDFLAGS = -L./lib/nix -L/usr/X11R6/lib -L/sw/lib -L/usr/sww/lib \
						-L/usr/sww/bin -L/usr/sww/pkg/Mesa/lib -lglut -lGLU -lGL -lX11 -lGLEW -lfreeimage -lglfw -lSOIL -lassimp
endif
	
RM = /bin/rm -f 

all: PRT_demo
PRT_demo: main.o main.h shader.h ModelLite.h Mesh.h
	$(CC) $(CFLAGS) -o PRT_demo main.o $(INCFLAGS) $(LDFLAGS) 
main.o: main.cpp main.h shader.h ModelLite.h Mesh.h
	$(CC) $(CFLAGS) $(INCFLAGS) -c main.cpp
clean: 
	$(RM) *.o PRT_demo *.png
